[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

r945 - in glibc-package/trunk/debian: . patches



Author: gotom
Date: 2005-07-16 16:22:06 +0000 (Sat, 16 Jul 2005)
New Revision: 945

Added:
   glibc-package/trunk/debian/patches/glibc235-binutils216-ia64.dpatch
   glibc-package/trunk/debian/patches/glibc235-gcc4-ia64-profile.dpatch
Modified:
   glibc-package/trunk/debian/changelog
   glibc-package/trunk/debian/patches/00list
Log:
      - debian/patches/glibc235-binutils216-ia64.dpatch: Fix _init/_fini was
        not defined within procedure with binutils 2.16 for ia64.
      - debian/patches/glibc235-gcc4-ia64-profile.dpatch: Fix compilation 
        breakage by removing strong_alias for ia64.



Modified: glibc-package/trunk/debian/changelog
===================================================================
--- glibc-package/trunk/debian/changelog	2005-07-15 12:18:04 UTC (rev 944)
+++ glibc-package/trunk/debian/changelog	2005-07-16 16:22:06 UTC (rev 945)
@@ -32,16 +32,19 @@
       - debian/control: Updated.
       - debian/sysdeps/i386.mk: Replace depreciated "-mcpu", use "-mtune".
 
-    * Make glibc-2.3.5 buidable with gcc-4.0:
-      - debian/patches/glibc235-gcc4-cvs.dpatch: Added to compile with
-        gcc-4.0 pulled from upstream for some internal defintion and so on.
-      - debian/patches/glibc235-gcc4-elf.dpatch: Added to compile with
-        gcc-4.0 pulled from Dan Kagel cross-tools, remove elf_machine_rel*
-        definitions.
-      - debian/patches/glibc235-gcc4-jis0208.dpatch: Added to compile with
-        gcc-4.0 pulled from proposed fix in libc-hacker.
-      - debian/patches/glibc235-gcc4-wcstol_l.dpatch: Added to compile with
-        gcc-4.0 for fixing 64bit architecture compilation breakage.
+    * These dpatches are added to make glibc-2.3.5 buidable with gcc-4.0:
+      - debian/patches/glibc235-gcc4-cvs.dpatch: Fix some bad defintion of
+        internal for all architectures.
+      - debian/patches/glibc235-gcc4-elf.dpatch: Remove elf_machine_rel*
+        definitions for all architectures.
+      - debian/patches/glibc235-gcc4-jis0208.dpatch: Fix compilation breakage
+        for all architectures.
+      - debian/patches/glibc235-gcc4-wcstol_l.dpatch: Fix wcstol_l.c 
+        compilation breakage for all 64bit architectures.
+      - debian/patches/glibc235-binutils216-ia64.dpatch: Fix _init/_fini was
+        not defined within procedure with binutils 2.16 for ia64.
+      - debian/patches/glibc235-gcc4-ia64-profile.dpatch: Fix compilation 
+        breakage by removing strong_alias for ia64.
 
     * Move /etc/locale.alias to /usr/share/locale/locale.alias.
       Don't install locale.alias.5.  (Closes: #144670, #185991, #298784)

Modified: glibc-package/trunk/debian/patches/00list
===================================================================
--- glibc-package/trunk/debian/patches/00list	2005-07-15 12:18:04 UTC (rev 944)
+++ glibc-package/trunk/debian/patches/00list	2005-07-16 16:22:06 UTC (rev 945)
@@ -63,3 +63,5 @@
 glibc235-gcc4-elf
 glibc235-gcc4-jis0208
 glibc235-gcc4-wcstol_l
+glibc235-binutils216-ia64
+glibc235-gcc4-ia64-profile

Added: glibc-package/trunk/debian/patches/glibc235-binutils216-ia64.dpatch
===================================================================
--- glibc-package/trunk/debian/patches/glibc235-binutils216-ia64.dpatch	2005-07-15 12:18:04 UTC (rev 944)
+++ glibc-package/trunk/debian/patches/glibc235-binutils216-ia64.dpatch	2005-07-16 16:22:06 UTC (rev 945)
@@ -0,0 +1,91 @@
+#! /bin/sh -e
+
+# All lines beginning with `# DP:' are a description of the patch.
+# DP: Description: Allow glibc to build with binutils 2.16 on ia64
+# DP: Related bugs: 
+# DP: Dpatch author: Jeff Bailey, GOTO Masanori <gotom@debian.org>
+# DP: Patch author: H.J. Lu <hongjiu.lu@intel.com>
+# DP: Upstream status: In CVS
+# DP: Status Details: CVS HEAD
+# DP: Date: 2005-05-22 pulled from Ubuntu
+#	    Updated 2005-07-15 for linuxthreads by gotom
+
+PATCHLEVEL=1
+
+if [ $# -ne 2 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+    -patch) patch -d "$2" -f --no-backup-if-mismatch -p$PATCHLEVEL < $0;;
+    -unpatch) patch -d "$2" -f --no-backup-if-mismatch -R -p$PATCHLEVEL < $0;;
+    *)
+	echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+	exit 1
+esac
+exit 0
+
+# append the patch here and adjust the -p? flag in the patch calls.
+Index: initfini.c
+===================================================================
+RCS file: /cvs/glibc/libc/sysdeps/ia64/elf/initfini.c,v
+retrieving revision 1.7
+retrieving revision 1.8
+diff -u -p -r1.7 -r1.8
+--- libc/sysdeps/ia64/elf/initfini.c	16 Aug 2004 04:51:00 -0000	1.7
++++ libc/sysdeps/ia64/elf/initfini.c	20 Mar 2005 04:21:08 -0000	1.8
+@@ -116,13 +116,14 @@ __asm__ (".section .init\n"
+ "/*@_init_PROLOG_ENDS*/\n"
+ "\n"
+ "/*@_init_EPILOG_BEGINS*/\n"
++"	.section .init\n"
+ "	.proc _init#\n"
++"_init:\n"
+ "	.prologue\n"
+ "	.save ar.pfs, r34\n"
+ "	.vframe r32\n"
+ "	.save rp, r33\n"
+ "	.body\n"
+-"	.section .init\n"
+ "	.regstk 0,2,0,0\n"
+ "	mov r12 = r32\n"
+ "	mov ar.pfs = r34\n"
+@@ -155,6 +156,7 @@ __asm__ (".section .init\n"
+ "/*@_fini_EPILOG_BEGINS*/\n"
+ "	.section .fini\n"
+ "	.proc _fini#\n"
++"_fini:\n"
+ "	.prologue\n"
+ "	.save ar.pfs, r34\n"
+ "	.vframe r32\n"
+
+
+2005-02-21  H.J. Lu  <hongjiu.lu@intel.com>
+
+	* sysdeps/unix/sysv/linux/ia64/pt-initfini.c: Add local _init
+	and _fini labels.
+
+Index: sysdeps/unix/sysv/linux/ia64/pt-initfini.c
+===================================================================
+RCS file: /cvs/glibc/libc/linuxthreads/sysdeps/unix/sysv/linux/ia64/Attic/pt-initfini.c,v
+retrieving revision 1.6
+retrieving revision 1.7
+diff -u -p -r1.6 -r1.7
+--- linuxthreads/sysdeps/unix/sysv/linux/ia64/pt-initfini.c	11 Dec 2003 20:43:51 -0000	1.6
++++ linuxthreads/sysdeps/unix/sysv/linux/ia64/pt-initfini.c	20 Mar 2005 04:19:45 -0000	1.7
+@@ -87,6 +87,7 @@ _init:\n\
+ /*@_init_EPILOG_BEGINS*/\n\
+ 	.section .init\n\
+ 	.proc _init#\n\
++_init:\n\
+ 	.prologue\n\
+ 	.save ar.pfs, r34\n\
+ 	.vframe r32\n\
+@@ -122,6 +123,7 @@ _fini:\n\
+ /*@_fini_EPILOG_BEGINS*/\n\
+ 	.section .fini\n\
+ 	.proc _fini#\n\
++_fini:\n\
+ 	.prologue\n\
+ 	.save ar.pfs, r34\n\
+ 	.vframe r32\n\

Added: glibc-package/trunk/debian/patches/glibc235-gcc4-ia64-profile.dpatch
===================================================================
--- glibc-package/trunk/debian/patches/glibc235-gcc4-ia64-profile.dpatch	2005-07-15 12:18:04 UTC (rev 944)
+++ glibc-package/trunk/debian/patches/glibc235-gcc4-ia64-profile.dpatch	2005-07-16 16:22:06 UTC (rev 945)
@@ -0,0 +1,44 @@
+#! /bin/sh -e
+
+# All lines beginning with `# DP:' are a description of the patch.
+# DP: Description: Make glibc-2.3.5 compile with gcc-4.0 on ia64 fixed by
+#		   removing strong_alias.
+# DP: Related bugs: 
+# DP: Dpatch author: GOTO Masanori <gotom@debian.org>
+# DP: Patch author: GOTO Masanori <gotom@debian.org>
+# DP: Upstream status: In CVS
+# DP: Status Details: 
+# DP: Date: 2005-07-16
+
+PATCHLEVEL=0
+
+if [ $# -ne 2 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+    -patch) patch -d "$2" -f --no-backup-if-mismatch -p$PATCHLEVEL < $0;;
+    -unpatch) patch -d "$2" -f --no-backup-if-mismatch -R -p$PATCHLEVEL < $0;;
+    *)
+	echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+	exit 1
+esac
+exit 0
+
+# append the patch here and adjust the -p? flag in the patch calls.
+2005-07-16  GOTO Masanori  <gotom@debian.org>
+
+	* sysdeps/ia64/dl-machine.h: Remove strong_alias.
+
+--- sysdeps/ia64/dl-machine.h	2005-07-14 22:21:08.040360346 +0000
++++ sysdeps/ia64/dl-machine.h.new	2005-07-14 22:26:06.513950877 +0000
+@@ -263,8 +263,7 @@ elf_machine_runtime_setup (struct link_m
+   TRAMPOLINE_TEMPLATE (_dl_runtime_profile, profile_fixup);
+ #else
+ #define ELF_MACHINE_RUNTIME_TRAMPOLINE				\
+-  TRAMPOLINE_TEMPLATE (_dl_runtime_resolve, fixup);		\
+-  strong_alias (_dl_runtime_resolve, _dl_runtime_profile);
++  TRAMPOLINE_TEMPLATE (_dl_runtime_resolve, fixup);
+ #endif
+ 
+ /* Undo the adds out0 = 16, sp below to get at the value we want in



Reply to: